Completions
curl --request POST \
--url https://api.gravitex.ai/v1/completions \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"prompt": {},
"max_tokens": 123,
"temperature": 123,
"stream": true
}
'import requests
url = "https://api.gravitex.ai/v1/completions"
payload = {
"model": "<string>",
"prompt": {},
"max_tokens": 123,
"temperature": 123,
"stream": True
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: '<string>', prompt: {}, max_tokens: 123, temperature: 123, stream: true})
};
fetch('https://api.gravitex.ai/v1/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
텍스트 완성 및 임베딩
Completions
OpenAI 호환 레거시 텍스트 완성 API
POST
/
v1
/
completions
Completions
소개
prompt로부터 텍스트 완성을 생성합니다. OpenAI Completions API와 호환됩니다. 다중 턴 대화에는 Chat completions를 사용하는 것이 좋습니다.
인증
string
필수
Bearer Token, 예:
Bearer sk-xxxxxxxxxx요청 매개변수
string
필수
모델 ID
string | array
필수
프롬프트 텍스트(문자열 또는 문자열 배열)
integer
생성할 최대 토큰 수
number
샘플링 온도
boolean
기본값:"false"
SSE를 통한 스트리밍 응답
요청 예시
curl -X POST "https://api.gravitex.ai/v1/completions" \
-H "Authorization: Bearer sk-xxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{
"model": "gpt-4o-mini",
"prompt": "In one sentence, describe AI:",
"max_tokens": 100,
"temperature": 0.7
}'
주요 매개변수
- model: 모델 ID
- prompt: 입력 프롬프트
- max_tokens: 출력 길이 제한
- stream: SSE 스트리밍을 위해
true로 설정
⌘I
